* * *

Author Topic: Lazarus Release 1.8.4 (with FPC 3.0.4)  (Read 26438 times)

mischi

  • Full Member
  • ***
  • Posts: 103
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #15 on: May 28, 2018, 10:38:32 pm »
Lazarus on macOS: fink package descriptions are updated to version 1.8.4.

It gives you the choice for lazarus-aqua(carbon), lazarus-gtk2, lazarus-qt4 and lazarus-qt5.

You can build projects with following lcl:

lcl-carbon
lcl-cocoa(32bit)
lcl-cocoa(64bit)
lcl-gtk2(64bit)
lcl-qt4(64bit)
lcl-qt5(64bit)

and

crossbuilding for

lcl-win32
lcl-win64
lcl-wince-i386
lcl-wince-arm

totya

  • Sr. Member
  • ****
  • Posts: 452
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #16 on: May 31, 2018, 12:41:36 am »
Hi!

Thanks for this release, but usually I use the svn version. I found a small bug, if I select it in message window see pics, I got reverse operation, inserted directive is:
Quote
{$WARN 5024 on : Parameter "$1" not used}


nachoap

  • New member
  • *
  • Posts: 11
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #17 on: June 01, 2018, 01:52:23 pm »
Thanks for the release.

I can't work with lazreport with 1.8.4 nor 1.8.2. I install, I mark lazreport and sqlite3 packages for install, then Lazarus compiles and links a new exe... But when I try to execute Lazarua again I get an error with the code: 0xc000007b.

I've installed it as a secondary installation. I've tried to install in two different coputers (PC, with Windows 10 x64). I've been working with Lazarus in those computers for years without problem.

It would be nice if you can guide me where can be the problem. Now I'm working with 1.8.0 version and everything is fine.

Regards!

zeljko

  • Hero Member
  • *****
  • Posts: 974
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #18 on: June 01, 2018, 02:37:31 pm »
Thanks for the release.

I can't work with lazreport with 1.8.4 nor 1.8.2. I install, I mark lazreport and sqlite3 packages for install, then Lazarus compiles and links a new exe... But when I try to execute Lazarua again I get an error with the code: 0xc000007b.

I've installed it as a secondary installation. I've tried to install in two different coputers (PC, with Windows 10 x64). I've been working with Lazarus in those computers for years without problem.

It would be nice if you can guide me where can be the problem. Now I'm working with 1.8.0 version and everything is fine.

Regards!

hm...I had similar problem with commercial FastReports 5 under MacOSX - Qt5 64bit. Before rebuilding lazarus I've rebuilded FR5 package and then it works fine, AFAIR problem was something with resources.

wp

  • Hero Member
  • *****
  • Posts: 4731
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #19 on: June 01, 2018, 03:20:29 pm »
I can't work with lazreport with 1.8.4 nor 1.8.2. I install, I mark lazreport and sqlite3 packages for install, then Lazarus compiles and links a new exe... But when I try to execute Lazarua again I get an error with the code: 0xc000007b.
Aggressive antivirus? Put Lazarus folders on white-list of the antivirus.
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

Thaddy

  • Hero Member
  • *****
  • Posts: 6337
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #20 on: June 01, 2018, 03:56:34 pm »
Aggressive antivirus? Put Lazarus folders on white-list of the antivirus.
It is a better idea to notify any anti-virus developers that they also need to have a footprint of FPC compiled code available. Some actually do that, when informed and demonstrated. MS is one of them (but slow).
I am enjoining wine, not whine....

jc99

  • Hero Member
  • *****
  • Posts: 517
    • My private Site
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #21 on: June 02, 2018, 09:31:34 am »
@Developers:
Thanks for the release....

@nachoap:

I can't work with lazreport with 1.8.4 nor 1.8.2. I install, I mark lazreport and sqlite3 packages for install, then Lazarus compiles and links a new exe... But when I try to execute Lazarua again I get an error with the code: 0xc000007b.
Is it only this project or are other projects also corrupted ?
Can you give an example ?
I had an similar issue regarding the new project-settings about HighDPI
OS: Win XP x64, Win 7, Win 7 x64, Win 10, Win 10 x64, Suse Linux 13.2
Laz: 1.2 - 1.6.4, 1.8rc3
https://github.com/joecare99/public
'~|    /''
,_|oe \_,are

nachoap

  • New member
  • *
  • Posts: 11
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #22 on: June 02, 2018, 01:45:52 pm »
Hi again!
>>
I get the error without open any project, with default project: I install Lazarus 1.8.4, I execute it, I try to install a new package from Package -> Install/Uninstall package, I compile ide and... I get the error. With 1.8.2 I got the same problem.

I've read this kind of error can be caused by a dll msvc++ file. I'm going to try to install VisualC Redistributable again.

It's not an antivirus problem because I get the same error in two different computers with two different antivirus: Trend Micro and Kaspersky.

Regards!

nachoap

  • New member
  • *
  • Posts: 11
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #23 on: June 02, 2018, 01:48:59 pm »
Ooooops! It works now in my personal computer  :o


nachoap

  • New member
  • *
  • Posts: 11
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #24 on: June 02, 2018, 01:52:00 pm »
Bad luck! It worked with Lazreport but it failed after installing sqlite3  :'( :'( :'(

nachoap

  • New member
  • *
  • Posts: 11
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #25 on: June 02, 2018, 02:26:06 pm »
Ooops. The problem was in sqlite3laz 0.4 package. But it's not needed in order to work with SQLite Zeos  :o

If I don't install this package everything works fine.

I apologize about my message. This week I'll try the new Lazarus version. I'm impatient!

Regards!

ermeneuta

  • New member
  • *
  • Posts: 27
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #26 on: June 08, 2018, 06:54:31 pm »
Running here Kubuntu 18.04 LTS.

FPC is installed, version 3.0.4, as is fpc-src, version 3.0.4-2, the one downloaded from Source Forge.
Trying to install  lazarus-project_1.8.4-0_amd64.deb, the package installer QApt tells me in red :
"Error: Cannot satisfy dependencies"

Suggestions welcome, thanks.

Handoko

  • Hero Member
  • *****
  • Posts: 2379
  • My goal: build my own game engine using Lazarus

ermeneuta

  • New member
  • *
  • Posts: 27
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #28 on: June 11, 2018, 11:14:46 pm »
Try this:
https://forum.lazarus.freepascal.org/index.php/topic,41524
Many thanks, that worked.
I skipped your step 12, as Synaptic Package Manager did not tell me that fpc was waiting to be updated...
I am glad that Linux does not have a registry as Windows has, so the step of uninstalling something can be easily done by just deleting with rm any traces of the program you want to get rid of... no worries of leaving dangling (and obscure) hexadecimal entries into the registry...

Handoko

  • Hero Member
  • *****
  • Posts: 2379
  • My goal: build my own game engine using Lazarus
Re: Lazarus Release 1.8.4 (with FPC 3.0.4)
« Reply #29 on: June 12, 2018, 08:20:57 am »
To check if the FPC is in the waiting for update using Synaptic Package Manager:

01. Start Synaptic Package Manager
02. On the bottom-left panel, click
Status
03. On the top-left panel, choose Installed (upgradable)
04. On the right panel, see the exclamation mark at the right of fpc

If the fpc is marked with an exclamation mark, your Lazarus will most likely stop working after you (accidentally) upgrade it. At least it happened on me twice.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus